/*
 * CSS Specification for the basic graphical interface
 */

/*
 * Colours 
 *
 *   #000000
 *   #003366
 *   #336699
 *   #6688aa
 *   #6699cc
 *   #bbccdd
 *   #ddeeff
 *   #ffffff
 *
 *   #99ccff
 */

/*
 * Define basic Style
 */

body 
{
  background-color    : white;
  color               : black;
  width               : 95%;
  font-family         : arial, helvetica, sans-serif;
}

table.client
{
  background  : #FFFFFF;
  color       : #ffffff;
  padding     : 2px;
  width       : 100%;
}

a:link, a:visited, a:active
{
  background-color : transparent;
  color            : #0000ff;
  text-decoration  : none;
}

a:hover
{
  background-color : transparent;
  color            : #ff0000;
  text-decoration  : none;
  font-weight      : bold;
}

/*
 * Footer links 
 */
a.footer-link:link, a.footer-link:visited{
  background-color : transparent;
  color            : #ddeeff;
  text-decoration  : none;
}

a.footer-link:hover
{
  background-color : transparent;
  color            : #ffffff;
  text-decoration  : none;
  font-weight      : bold;
}


/*
 * Form style
 */
input, select
{
  font-size           : 10pt;
}

textarea
{
  width               : 100%;
  height              : 30em;

  font-size           : 10pt;
}
input.reset{
  background-color    : #D7E0FD;
  color               : #000000;
  border              : outset 3px;
}
input.file
{
  background-color     : #6688aa; /*#336699;*/ /* #6688aa */
  color                : #ddeeff; /* #ddeeff */
  border               : inset 2px;
}

input.textodd, input.fileodd
{
  background-color : #ddeeff;
  color            : #000000;
  border           : inset 2px;
}

input.image
{
  border               : 0px;
}

/* Logout Image */
#logout
{
  background-color     : transparent;
  color                : #ddeeff;
  border               : 0px;
}

#logout:hover
{
  font-weight          : bold;
}

select
{
  background-color     : #336699;
  color                : #ffffff;
}
tr.footer1
{
  background-color     : #336699;
  color                : #ddeeff;
  font-size            : 20pt;
  height               : 50px;
}

tr.spacer
{
  background-color     : #FC9501;
  color                : #6699cc;
  font-size            : 4pt;
  height               : 10px
}
tr.footer2
{
  background-color     : #ADC0FE;
  color                : #ffffff;
  font-size            : 10pt;
  height               : 20px;

  text-align           : right;
}

/*
 * Client Section Table format
 */
table.client-section
{
  background-color : #ffffff;
  color            : #ADC0FE;

  width            : 100%;

  font-family      : arial, helvetica, sans-serif;
  font-size        : 10pt;
  text-align       : left;

  /*border           : 2px solid white;*/
}
tr.client-section-footer
{
  background-color : #6688aa;
  color            : #ddeeff;

  font-weight      : bold;
  font-family      : arial, helvetica, sans-serif;
  font-size        : 12pt;
  text-align       : left;
}

tr.client-section-even
{
  background-color : #ddeeff;
  color            : #000000;
}

tr.client-section-odd
{
  background-color : #bbccdd;
  color            : #000000;
}

th.client-section-heading, tr.client-section-heading
{
  background-color : #000000;
  color            : #ffffff;

  font-weight      : bold;
  text-align       : left;
}

td.client-section-entry
{
}

/*
 * Message list
 */
table.message-list
{
  background-color : #ffffff;
  color            : #ddeeff;

  width            : 100%;

  font-family      : arial, helvetica, sans-serif;
  font-size        : 10pt;
  text-align       : left;

  border           : 2px solid white;
} 

tr.message-list-even
{
  background-color : #FDC573;
  color            : #000000;
}

tr.message-list-odd
{
  background-color : #bbccdd;
  color            : #000000;
}

td.message-list-debug
{
  background-color : #003366;
  color            : #6666ff;

  width            : 100px;

  font-weight      : bold;
  text-align       : left;
}

td.message-list-error
{
  background-color : #003366;
  color            : #ff0000;

  width            : 100px;

  font-weight      : bold;
  text-align       : left;
}

td.message-list-warn
{
  background-color : #003366;
  color            : #ff9900;

  width            : 100px;

  font-weight      : bold;
  text-align       : left;
}

td.message-list-info
{
  background-color : #FDC573;
  color            : #ffffff;

  width            : 100px;

  font-weight      : bold;
  text-align       : left;
}

td.message-list-entry
{
	background-color: #FDC573;
}


/*
 * Login 
 */
table.login
{
  background-color : #ffffff;
  color            : #000000;
  padding          : 0px;
  font-family      : monospace;
  font-size        : 9pt;
}

tr.login-even
{
  background-color : #ddeeff;
  color            : #000000;
}

tr.login-odd
{
  background-color : #bbccdd;
  color            : #000000;
}
tr.login-footer
{
  background-color : #6688aa;
  color            : #ddeeff;
  height           : 25px;

  font-size        : 12pt;
  font-family      : arial, helvetica, sans-serif;
  font-weight      : bold;

  text-align       : center;
}

/*
 * File listing
 */

table.file-list
{
  background-color : #ffffff;
  color            : #000000;
  width            : 100%;
  padding          : 0px;
  font-family      : monospace;
  font-size        : 9pt;
}

tr.file-list-header, tr.file-list-footer{
  background-color : #ADC0FE;
  color            : #ddeeff;

  font-weight      : bold;
  font-family      : arial, helvetica, sans-serif;
  font-size        : 12pt;
  text-align       : left;
}
tr.file-list-heading
{
  background-color : #000000;
  color            : #ffffff;
  font-weight      : bold;
}

tr.file-list-even
{
	background-color : #D7E0FD;
	color            : #000000;
	font-family: Arial, Helvetica, sans-serif;
}

tr.file-list-odd
{
	background-color : #F3F6FF;
	color            : #000000;
	font-family: Arial, Helvetica, sans-serif;
}

input.file-list-entry
{
  background-color : transparent;
  color            : #0000ff;

  border           : 0px;
  padding-left     : 0px;

  font-family      : monospace;
  font-size        : 9pt;
}

input.file-list-entry:hover
{
  background-color : transparent;
  color            : #ff0000;
  font-weight      : bold;
}
  
/*
 * Other Form areas
 */
.form-area
{
  background-color : #ffffff;
  color            : #000000;

  font-weight      : bold;
  font-family      : arial, helvetica, sans-serif;
  font-size        : 10pt;
  text-align       : left;
}

/*
 * Header and Footer
 */
tr.header1 {   background-color     : #ADC0FE;
  color                : #ffffff;
  font-size            : 20pt;
  height               : 50px;
 } 
tr.header2 {   background-color     : #339933;
  color                : #ddeeff;
  font-size            : 10pt;
  height               : 20px;

  text-align           : right;
 } td.file-list-header {   background-color : #ADC0FE;
  color            : #ffffff;

  font-weight      : bold;
  font-family      : arial, helvetica, sans-serif;
  font-size        : 12pt;
  text-align       : left;
 } 
th.file-list-heading {   background-color : #A1A5AF;
  color            : #ffffff;
  font-weight      : bold;
 } td.file-list-footer
 {   background-color : #ADC0FE;
  color            : #ffffff;

  font-weight      : bold;
  font-family      : arial, helvetica, sans-serif;
  font-size        : 12pt;
  text-align       : left;
 } 
input.text {   background-color     : #6688aa; /*#336699;*/ /* #6688aa */
  color                : #ffffff; /* #ddeeff */
  border               : inset 2px;
 } 
tr.client-section-header {   background-color : #ADC0FE;
  color            : #ffffff;

  font-weight      : bold;
  font-family      : arial, helvetica, sans-serif;
  font-size        : 12pt;
  text-align       : left;
 }  
input.submit {   background-color    : #D7E0FD;
  color               : #000000;
  border              : outset 3px;
 } input.button
 {   background-color    : #000000;
  color               : #ddeeff;
  border              : outset 3px;
 } 
tr.login-header {   background-color : #6688aa;
  color            : #ffffff;
  height           : 25px;

  font-size        : 12pt;
  font-family      : arial, helvetica, sans-serif;
  font-weight      : bold;

  text-align       : center;
 } a.footer-link:active
 {   background-color : transparent;
  color            : #ffffff;
  text-decoration  : none;
 } 